Pagina 3 di 4 PrimaPrima 1234 UltimaUltima
Risultati da 21 a 30 di 39
  1. #21
    Utente poco attivo
    Iscritto dal
    2010
    Messaggi
    1
    Professione
    Ing Meccanico Progettista
    Regione
    Abruzzo
    Software
    Catia

    Predefinito Mahhh!

    Scusate ma il famoso filtro selezione utente che ci sta a fare? ;)


    Meditate gente meditate!!

  2. #22
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    6
    Professione
    impiegato disegnatore cad
    Regione
    piemonte
    Software
    catia v4/v5, worknc

    Predefinito

    Citazione Originariamente Scritto da stef_design Visualizza Messaggio
    Ciao ragazzi, questa cosa mi fa uscire matto!!!

    Ho un'assieme PADRE composto all'interno da circa 50-60 assiemi. Quando apro l'assieme padre vedo tutti i piani, vincoli, schizzi e altre "belle" entità che creano una confuzione. Siccome sono un progettista e non un pittore astratto:p, come "cavolicchio" si fa a nascondere tutto senza aprire ogni singolo assieme

    Magari un comandino "nascondi piani o nascondi vincoli".
    Confido, come semre, in voi:)
    ciao

    PS: nella bella riga di comando in basso di Catia non si può digitare: NO show datum
    forse la mia è una soluzione non adatta al tuo caso, ma attivando la cache senza la visualizzazione del wireframe dovresti risolvere il problema...

    ciao

  3. #23
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    527
    Professione
    Manager
    Regione
    Liguria
    Software
    Autocad Catia

    Predefinito

    La seguente Macro nasconde tutti gli elementi di costruzione, non i vincoli
    Marco


    ---------------------
    Language="VBSCRIPT"

    Sub CATMain()

    Set ProductDocument1 = CATIA.ActiveDocument
    Set Product1 = ProductDocument1. Product

    Dim ProductDoc1_As_Document
    Set ProductDoc1 = Catia.ActiveDocument

    Dim Selection1_As_Selection
    Set Selection1 = ProductDoc1.Selection

    Selection1.Search "CatPrtSearch.Surface,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.AxisSystem,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Line,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Curve,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Sketch,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Point,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "CATGmoSearch.OpenBodyFeature,all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Dim specsAndGeomWindow1 As Window
    Set specsAndGeomWindow1 = CATIA.ActiveWindow

    Dim viewer3D1 As Viewer
    Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

    Dim viewpoint3D1 As Viewpoint3D
    Set viewpoint3D1 = viewer3D1.Viewpoint3D

    viewer3D1.Reframe

    Set viewpoint3D1 = viewer3D1.Viewpoint3D



    End Sub
    --------------------


    Copiare tutto in un file .txt quindi cambiare l'estensione in .CATScript
    Lanciare la Macro et voila!

  4. #24
    Utente Senior L'avatar di stef_design
    Iscritto dal
    2007
    Messaggi
    2292
    Professione
    ingegnerizzatore prodotto-automotive (dream cars)
    Regione
    Veneto - Austin (TX)
    Software
    SW 2009 - Pro/E WF4 - Catia V5 R20 - Matlab - Ansys - TC7 - VPM

    Predefinito

    Citazione Originariamente Scritto da marcofa Visualizza Messaggio
    La seguente Macro nasconde tutti gli elementi di costruzione, non i vincoli
    Marco
    Cavoli
    Grazie marcofa.Per curiosità dove l'hai trovata?
    Ci sono sito con macro per Catia?

  5. #25
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    527
    Professione
    Manager
    Regione
    Liguria
    Software
    Autocad Catia

    Predefinito

    Un pò da tutte le parti, guardati il mio allegato a pag 61
    http://www.cad3d.it/forum1/showthread.php?t=23436
    Ciao
    Marco

  6. #26
    Utente Senior L'avatar di stef_design
    Iscritto dal
    2007
    Messaggi
    2292
    Professione
    ingegnerizzatore prodotto-automotive (dream cars)
    Regione
    Veneto - Austin (TX)
    Software
    SW 2009 - Pro/E WF4 - Catia V5 R20 - Matlab - Ansys - TC7 - VPM

    Predefinito

    Citazione Originariamente Scritto da marcofa Visualizza Messaggio
    Un pò da tutte le parti, guardati il mio allegato a pag 61
    http://www.cad3d.it/forum1/showthread.php?t=23436
    Ciao
    Marco
    CAVOLI
    Gran bel lavoro...COMPLIMENTI

  7. #27
    Utente Junior L'avatar di biondo17
    Iscritto dal
    2011
    Messaggi
    18
    Professione
    Progettista
    Regione
    Veneto
    Software
    Catia v5, Solidworks

    Predefinito

    Ciao a tutti, sono nuovo di questo forum. Come "stef_design" (venendo anch'io da un altro CAD) mi sono scontrato subito con questa fastidiosa "mancanza" di catia. Ringrazio "marcofra" per l'iteressante macro che ha postato, dalla quale ho preso spunto per aggiornarla un pò e renderla un pò più veloce.

    Invece di elencare tutti gli elementi non solidi ho ridotto la ricerca al solo "gruppo geometrico" (a patto che si lavori in modalità NON ibrida) e ho lasciato gli schizzi, sistema d'assi e i tre piani principali. Ho inoltre aggiunto alla macro i vincoli dell'assieme.

    Di seguito riporto la macro:

    Language="VBSCRIPT"

    Sub CATMain()

    Set ProductDocument1 = CATIA.ActiveDocument
    Set Product1 = ProductDocument1. Product

    Dim ProductDoc1_As_Document
    Set ProductDoc1 = Catia.ActiveDocument

    Dim Selection1_As_Selection
    Set Selection1 = ProductDoc1.Selection

    selection1.Search "(Name=*xy* & CATPrtSearch.Plane),all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "(Name=*yz* & CATPrtSearch.Plane),all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "(Name=*zx* & CATPrtSearch.Plane),all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.AxisSystem,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Sketch,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "CATPrtSearch.OpenBodyFeature,all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "CATAsmSearch.MfConstraint,all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Dim specsAndGeomWindow1 As Window
    Set specsAndGeomWindow1 = CATIA.ActiveWindow

    Dim viewer3D1 As Viewer
    Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

    Dim viewpoint3D1 As Viewpoint3D
    Set viewpoint3D1 = viewer3D1.Viewpoint3D

    viewer3D1.Reframe

    Set viewpoint3D1 = viewer3D1.Viewpoint3D



    End Sub


    Se vi può interessare, sempre partendo dalla stessa struttura, ho estrapolato una macro che mostri solo i piani principali:

    Language="VBSCRIPT"

    Sub CATMain()

    Set ProductDocument1 = CATIA.ActiveDocument
    Set Product1 = ProductDocument1. Product

    Dim ProductDoc1_As_Document
    Set ProductDoc1 = Catia.ActiveDocument

    Dim Selection1_As_Selection
    Set Selection1 = ProductDoc1.Selection

    selection1.Search "(Name=*xy* & CATPrtSearch.Plane),all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 0
    Selection1.Clear

    selection1.Search "(Name=*yz* & CATPrtSearch.Plane),all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 0
    Selection1.Clear

    selection1.Search "(Name=*zx* & CATPrtSearch.Plane),all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 0
    Selection1.Clear

    Dim specsAndGeomWindow1 As Window
    Set specsAndGeomWindow1 = CATIA.ActiveWindow

    Dim viewer3D1 As Viewer
    Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

    Dim viewpoint3D1 As Viewpoint3D
    Set viewpoint3D1 = viewer3D1.Viewpoint3D

    viewer3D1.Reframe

    Set viewpoint3D1 = viewer3D1.Viewpoint3D

    End Sub


    Grazie ancora ancora a tutti voi per i preziosi consigli che postate nel forum!

  8. #28
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    527
    Professione
    Manager
    Regione
    Liguria
    Software
    Autocad Catia

    Predefinito

    Grazie Biondo!
    Visto che ne capisci, potresti mica farne una edizione come quella postata, che nasconda anche i vincoli , ibrido e non ibrido?
    Marco

  9. #29
    Utente Junior L'avatar di biondo17
    Iscritto dal
    2011
    Messaggi
    18
    Professione
    Progettista
    Regione
    Veneto
    Software
    Catia v5, Solidworks

    Predefinito

    Citazione Originariamente Scritto da marcofa Visualizza Messaggio
    Grazie Biondo!
    Visto che ne capisci, potresti mica farne una edizione come quella postata, che nasconda anche i vincoli , ibrido e non ibrido?
    Marco
    Allora...la macro che ho postato funziona anche in modalità ibrida, solamente che non nasconde le varie geometrie non solide, cioè tutte quelle create con "generative shape design", che in modalità non ibrida vanno appunto dentro il gruppo geometrico.

    Siccome io lavoro solo in modalità non ibrida, per velocizzare la ricerca, ho semplicemente ragguppato tutte le geometrie nascondendo direttamente i "gruppi geometrici".

    Comunque di seguito riporto la tua macro con l'aggiunta dei vincoli:

    Language="VBSCRIPT"

    Sub CATMain()

    Set ProductDocument1 = CATIA.ActiveDocument
    Set Product1 = ProductDocument1. Product

    Dim ProductDoc1_As_Document
    Set ProductDoc1 = Catia.ActiveDocument

    Dim Selection1_As_Selection
    Set Selection1 = ProductDoc1.Selection

    Selection1.Search "CatPrtSearch.Surface,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.AxisSystem,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Line,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Curve,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Sketch,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Selection1.Search "CatPrtSearch.Point,All"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "CATGmoSearch.OpenBodyFeature,all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    selection1.Search "CATAsmSearch.MfConstraint,all"
    Set visPropertySet1 = Selection1.visProperties
    VisPropertySet1.SetShow 1
    Selection1.Clear

    Dim specsAndGeomWindow1 As Window
    Set specsAndGeomWindow1 = CATIA.ActiveWindow

    Dim viewer3D1 As Viewer
    Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

    Dim viewpoint3D1 As Viewpoint3D
    Set viewpoint3D1 = viewer3D1.Viewpoint3D

    viewer3D1.Reframe

    Set viewpoint3D1 = viewer3D1.Viewpoint3D



    End Sub


    Fammi sapere se funziona
    Ciao

  10. #30
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    527
    Professione
    Manager
    Regione
    Liguria
    Software
    Autocad Catia

    Predefinito

    Fantastico!
    L'appetito vien mangiando.....cosa ne dici di una versione solo per i vincoli? O è chiedere troppo?
    Grrrrazzzzzie
    Marco


  • Pagina 3 di 4 PrimaPrima 1234 UltimaUltima

    Discussioni Simili

    1. nascondere piani
      Di belupomeriju nel forum Inventor
      Risposte: 4
      Ultimo Messaggio: 18-02-2011, 15: 38
    2. Nascondere piani della parte in assieme
      Di cacciatorino nel forum Solidworks
      Risposte: 13
      Ultimo Messaggio: 13-07-2010, 02: 18
    3. Nascondere i piani, assi, punti...con cache attivata
      Di stef_design nel forum CATIA V5 CATProduct
      Risposte: 3
      Ultimo Messaggio: 11-06-2010, 14: 02
    4. Nascondere i piani
      Di stiglio nel forum CATIA V5 CATProduct
      Risposte: 21
      Ultimo Messaggio: 19-10-2009, 18: 09
    5. Nascondere alcuni piani
      Di lupusinfabula nel forum Creo Parametric - Messa in tavola
      Risposte: 6
      Ultimo Messaggio: 22-09-2008, 19: 56

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti